org.jbpm.bpmn2.handler

## Class WorkItemHandlerRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jbpm.bpmn2.handler.WorkItemHandlerRuntimeException

- All Implemented Interfaces:
    Serializable

      public class WorkItemHandlerRuntimeException
      extends RuntimeException

  This exception provides extra information about the WorkItemHandler operation called to catchers of this exception. It is only meant to be thrown from a `WorkItemHandler` instance method.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `WORKITEMHANDLERTYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkItemHandlerRuntimeException(Throwable cause)`
    `WorkItemHandlerRuntimeException(Throwable cause, String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getInformationMap()`
    `void` | `setInformation(String informationName, Object information)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### WORKITEMHANDLERTYPE

          public static final String WORKITEMHANDLERTYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WorkItemHandlerRuntimeException

          public WorkItemHandlerRuntimeException(Throwable cause,
                                                 String message)

    - #### WorkItemHandlerRuntimeException

          public WorkItemHandlerRuntimeException(Throwable cause)

  - ### Method Detail

    - #### setInformation

          public void setInformation(String informationName,
                                     Object information)

    - #### getInformationMap

          public Map<String,Object> getInformationMap()

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.